Debian Bug report logs - #646071
ITP: multiverse-core -- Java based Software Transactional

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Miguel Landaeta <miguel@miguel.cc>

Date: Fri, 21 Oct 2011 01:18:02 UTC

Owned by: Miguel Landaeta <miguel@miguel.cc>

Severity: wishlist

Fixed in version multiverse-core/0.7.0-1

Done: Miguel Landaeta <miguel@miguel.cc>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#646071; Package wnpp. (Fri, 21 Oct 2011 01:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 21 Oct 2011 01:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: multiverse-core -- Java based Software Transactional Memory (STM) implementation
Date: Thu, 20 Oct 2011 20:46:20 -0430
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Miguel Landaeta <miguel@miguel.cc>

* Package name    : multiverse-core
  Version         : 0.7
  Upstream Author : Peter Veentjer <alarmnummer@gmail.com>
* URL             : http://multiverse.codehaus.org/
* License         : Apache-2.0
  Programming Lang: Java
  Description     : Java based Software Transactional Memory (STM) implementation

 Multiverse is meant as an alternative to traditional lock based
 concurrency. If you have worked with databases before, Transactional
 Memory should feel familiar because both share one very important
 concept: transactions.
 .
 Multiverse is language independent so it can be used without relying
 on instrumentation and therefore can easily be used with other
 languages that can run on the JVM like like Scala, Groovy or JRuby.
 .
 Also it reduces complexity of concurrency control, it can be used
 demanding production environments and provides a framework for STM
 experiments.


-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>:
Bug#646071; Package wnpp. (Mon, 27 May 2013 14:17:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>. (Mon, 27 May 2013 14:17:21 GMT) Full text and rfc822 format available.

Message #10 received at 646071@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 646071@bugs.debian.org
Cc: control@bugs.debian.org
Subject: multiverse-core: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:25 +0200
retitle 646071 RFP: multiverse-core -- Java based Software Transactional Memory (STM) implementation
noowner 646071
tag 646071 - pending
thanks

Hi,

This is an automatic email to change the status of multiverse-core back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting multiverse-core, please send a mail to
<control@bugs.debian.org> with:

 retitle 646071 ITP: multiverse-core -- Java based Software Transactional Memory (STM) implementation
 owner 646071 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <646071@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: multiverse-core -- Java based Software Transactional Memory (STM) implementation' from 'ITP: multiverse-core -- Java based Software Transactional Memory (STM) implementation' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:32:31 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Miguel Landaeta <miguel@miguel.cc>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:32:32 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#646071; Package wnpp. (Mon, 27 May 2013 14:44:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 27 May 2013 14:44:45 GMT) Full text and rfc822 format available.

Message #19 received at 646071@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 646071@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#646071: multiverse-core: changing back from ITP to RFP
Date: Mon, 27 May 2013 11:42:36 -0300
[Message part 1 (text/plain, inline)]
title 646071 ITP: multiverse-core -- Java based Software Transactional
Memory (STM) implementation
owner 646071 !
thanks

I still intend to package this, however there were/are some issues with the
source code that I have to address before trying to package this.

If there is somebody else interested on this, just post in this bug report.


On Mon, May 27, 2013 at 10:24 AM, Lucas Nussbaum <lucas@debian.org> wrote:

> retitle 646071 RFP: multiverse-core -- Java based Software Transactional
> Memory (STM) implementation
> noowner 646071
> tag 646071 - pending
> thanks
>
> Hi,
>
> This is an automatic email to change the status of multiverse-core back
> from ITP
> (Intent to Package) to RFP (Request for Package), because this bug hasn't
> seen
> any activity during the last 12 months.
>
> If you are still interested in adopting multiverse-core, please send a
> mail to
> <control@bugs.debian.org> with:
>
>  retitle 646071 ITP: multiverse-core -- Java based Software Transactional
> Memory (STM) implementation
>  owner 646071 !
>  thanks
>
> However, it is not recommended to keep ITP for a long time without acting
> on
> the package, as it might cause other prospective maintainers to refrain
> from
> packaging that software. It is also a good idea to document your progress
> on
> this ITP from time to time, by mailing <646071@bugs.debian.org>.
>
> Thank you for your interest in Debian,
> --
> Lucas, for the QA team <debian-qa@lists.debian.org>
>



-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x6E608B637D8967E9 available at
http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche
[Message part 2 (text/html, inline)]

Owner recorded as Miguel Landaeta <miguel@miguel.cc>. Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Mon, 27 May 2013 14:44:48 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: multiverse-core -- Java based Software Transactional' from 'RFP: multiverse-core -- Java based Software Transactional Memory (STM) implementation' Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Mon, 27 May 2013 14:54:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#646071; Package wnpp. (Mon, 22 Jul 2013 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 22 Jul 2013 16:30:03 GMT) Full text and rfc822 format available.

Message #28 received at 646071@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 646071@bugs.debian.org
Subject: Re: ITP: multiverse-core -- Java based Software Transactional Memory (STM) implementation
Date: Mon, 22 Jul 2013 13:30:18 -0300
[Message part 1 (text/plain, inline)]
I located the source code of 0.7.0 release at:
http://repository.codehaus.org/org/multiverse/multiverse-core/0.7.0/

It used to be hard to locate the source code of this software but I
guess me or somebody else can now take a look at it and package.

I'll package it eventually if nobody beats me to it.

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x6E608B637D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#646071; Package wnpp. (Sat, 10 Aug 2013 16:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 10 Aug 2013 16:30:09 GMT) Full text and rfc822 format available.

Message #33 received at 646071@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 646071@bugs.debian.org
Subject: Re: Subject: ITP: multiverse-core -- Java based Software Transactional Memory (STM) implementation
Date: Sat, 10 Aug 2013 13:27:32 -0300
[Message part 1 (text/plain, inline)]
Just in case there is somebody interested, I just began to work on this
package this weekend.

http://anonscm.debian.org/gitweb/?p=pkg-java/multiverse-core.git;a=summary

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x6E608B637D8967E9 available at
http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Sun, 11 Aug 2013 14:21:04 GMT) Full text and rfc822 format available.

Reply sent to Miguel Landaeta <miguel@miguel.cc>:
You have taken responsibility. (Mon, 02 Sep 2013 01:03:04 GMT) Full text and rfc822 format available.

Notification sent to Miguel Landaeta <miguel@miguel.cc>:
Bug acknowledged by developer. (Mon, 02 Sep 2013 01:03:04 GMT) Full text and rfc822 format available.

Message #40 received at 646071-close@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 646071-close@bugs.debian.org
Subject: Bug#646071: fixed in multiverse-core 0.7.0-1
Date: Mon, 02 Sep 2013 01:00:06 +0000
Source: multiverse-core
Source-Version: 0.7.0-1

We believe that the bug you reported is fixed in the latest version of
multiverse-core, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646071@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Miguel Landaeta <miguel@miguel.cc> (supplier of updated multiverse-core package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Aug 2013 22:30:11 -0300
Source: multiverse-core
Binary: libmultiverse-core-java libmultiverse-core-java-doc
Architecture: source all
Version: 0.7.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Miguel Landaeta <miguel@miguel.cc>
Description: 
 libmultiverse-core-java - Java library implementing Software Transactional Memory (STM)
 libmultiverse-core-java-doc - Documentation for libmultiverse-core-java
Closes: 646071
Changes: 
 multiverse-core (0.7.0-1) unstable; urgency=low
 .
   * Initial release. (Closes: #646071)
Checksums-Sha1: 
 7ae4564fc4b778caaad168f8d92e9d6cb13c5771 2114 multiverse-core_0.7.0-1.dsc
 0de19fe929816a158cb0d4ef2a332b70c7c1c558 1095546 multiverse-core_0.7.0.orig.tar.gz
 4ebfaa3b155bda06b13a8de0d69ccc049da91b4d 2531 multiverse-core_0.7.0-1.debian.tar.gz
 300b6d428da01e70aa737888f7c34c68914069dc 218388 libmultiverse-core-java_0.7.0-1_all.deb
 f9a4b4c7403f5b10ab58d13b115a1d106e3a99f3 200858 libmultiverse-core-java-doc_0.7.0-1_all.deb
Checksums-Sha256: 
 9223ff760fac37b588826c65083932f39ed21611b8642f2ac651ed83993dc870 2114 multiverse-core_0.7.0-1.dsc
 558fbdf7c4f4f32fd154d7ae1a2db8a8aec48c1b6c2cd6744c053a0c3db5b110 1095546 multiverse-core_0.7.0.orig.tar.gz
 0555d818c3153e653b4deabd8008e5c1b7e39c7aa7fe0131cecbfd41972ad0a9 2531 multiverse-core_0.7.0-1.debian.tar.gz
 617d221b6cd30b03882b539028f617717904330c5fce6449dbec60f8f994cee4 218388 libmultiverse-core-java_0.7.0-1_all.deb
 d4fce3b07ee048299e77b48085aea00e96c1b6beeda0891e1ad65595a62f33de 200858 libmultiverse-core-java-doc_0.7.0-1_all.deb
Files: 
 9d80c5cb420531c94efc3c4d9eebf9a6 2114 java optional multiverse-core_0.7.0-1.dsc
 2df99ad877af8d772e730bd11388f76a 1095546 java optional multiverse-core_0.7.0.orig.tar.gz
 255db28e7bf40848c2f017d648c8446d 2531 java optional multiverse-core_0.7.0-1.debian.tar.gz
 fc73ff98332f18c181c7bc46ea484083 218388 java optional libmultiverse-core-java_0.7.0-1_all.deb
 cfed0d3279abff64dc6e5d37ae0cb360 200858 doc optional libmultiverse-core-java-doc_0.7.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJSCbDxAAoJECHSBYmXSz6W6DgQANXgfVtPaJaKNJy2pWIc59Ja
IuCdPzilu7hXq6kAGFKg9wP3mH0BPRCE8IRnvqUA0hqIBiaCaRDpF2cgQTN/5Yax
Ra5vsoEvqRQk3ioxznM/JA/RxX7JVyfe2K4UQVUtIKKYaDy578XyO3BsTudYIPF3
fJV3VrTkFFRwNK+nT9rEwQ3O4HWddViVvf601dTNncMywE5n1IrXqe4spR67WwNH
XfOq1THeVuzeRMjk5zzAw0UMTr58onwSqXB9sQJ/TRwEb9SH9nzJE6Ob6tsNC3nL
Tv10W4qc4nBoIxlQ7ZdbTcNMi+9mg9TK6NothNFW4QOVPYnnR5O3NeUK4fBBJGx7
XvRxchJk3KRF30lIRxGjE2nDImO23CSVwO1eLpZzbaS38dHN/FMpqE3Q+czKqxzB
WEb0pYYzYiF83u6q4Rda1h+7ssMqtOmh5xvYmzPvtO6yDB3nY9xj4QU4pLPmRs7T
xZWFljGniZLndFqOGExr87n9TP90wLnCZ/qWVQpr8mB52zIqdmoRKi4TxU3KTV2G
p4p/8BRdpjZ2l+gRaER41q0JP/os9mhL7huDEjqa8zmSs375zAmriDh6oVRR9Sgh
tVOs1kwELzvr3EuYONfbh4+1ldMT6DotPW5B5I+l7OS5ycD4A222l4qmXVbTrEDu
ZpGJ7WOQ8NUSxZCdsOjA
=jJbb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Sep 2013 07:36:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:52:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.